(* Mathematica package *)


(*
TODO: remove comments no longer required
*)

(*
TODO:
Anwendung QuantumAlgebra in Perturbation Theory
- es wurde versucht, mit einer symbolischen Summennotation zu arbeiten
- diese kann von QuantumAlgebra nicht aufgeloest werden
- Ziel:
  - Sum unterstuetzen
  - moeglichst auch unendliche Summen
- mit DefinitionLevel -> 1 wird zumindest der Konstantencharakter einer geschlossenen
  Summe erkannt und ausgenutzt
- fuer DefinitionLevel -> 3 wurde SimpleConstantExpressionQ neu definiert
- damit funktioniert genau 1 Test Case nicht mehr: wenn ein Zeichenkettenstring vorliegt
- zusaetzliche Unterstuetzung von Sum
- es koennen auch Regeln definiert werden, die Sum und Limit vertauschen
- Mathematica wertet Limit nur aus unter Zusatzannahmen fuer Indexvariable und dann falsch!
*)

(*
TODO: Ideas about QASet with Commutators
- use the new CommutatorQ type predicate
- redesign the QASet / Commutator rules to use the CommutatorQ predicate
  (use predicates and restrictions instead of head specification)
- to gain all permutations, use rotate function ! 
*)

QASet[Set[Commutator[U_, V_], T_]] /;
	MatchQ[U, Commutator[P_, Q_]] && MatchQ[V, Commutator[R_, S_]] :=
	Module[{},
		Commutator[U, V] = T;
		Commutator[U, RotateLeft[V]] = -T;
		Commutator[RotateLeft[U], V] = -T;
		Commutator[RotateLeft[U], RotateLeft[V]] = T;
		Commutator[V, U] = -T;
		Commutator[V, RotateLeft[U]] = T;
		Commutator[RotateLeft[V], U] = T;
		Commutator[RotateLeft[V], RotateLeft[U]] = -T;
	]