(* Mathematica Test File *)


(*	What are not Operators 
*)
Test[
	OperatorExpressionQ[\[Lambda]],
	False,
	TestID->"Analyze-20160501-T1K1B7"
]

Test[
	OperatorExpressionQ[Operator[H1] + \[Lambda]],
	False,
	TestID->"Analyze-20160501-Z1D6H2"
]

Test[
	OperatorExpressionQ[\[Lambda] ** Operator[H]],
	False,
	TestID->"Analyze-20160501-F3K3H9"
]


(*	What are Operators 
*)
Test[
	OperatorExpressionQ[Operator[H]],
	True,
	TestID->"Analyze-20160501-M9A6R8"
]

Test[
	OperatorExpressionQ[Operator[H, "H", {i}, {}][t, x, y, z]],
	True,
	TestID->"Analyze-20160503-A1I4B5"
]

Test[
	OperatorExpressionQ[Operator[H1] + Operator[H2]],
	True,
	TestID->"Analyze-20160501-K5G5R1"
]

Test[
	OperatorExpressionQ[\[Lambda] * Operator[H]],
	True,
	TestID->"Analyze-20160501-M7R3G9"
]

Test[
	OperatorExpressionQ[Operator[H1] ** Operator[H2]],
	True,
	TestID->"Analyze-20160501-U7K1Z2"
]

Test[
	OperatorExpressionQ[Exp[Operator[H]]],
	True,
	TestID->"Analyze-20160501-U1U9V8"
]

Test[
	OperatorExpressionQ[Sin[Operator[H]]],
	True,
	TestID->"Analyze-20160501-A3W3G2"
]

Test[
	x1 := Operator[H];
	OperatorExpressionQ[Log[Unevaluated[x1]]],
	True,
	TestID->"Analyze-20160501-B2V6A6"
]

Test[
	OperatorExpressionQ[Commutator[Operator[H1], Operator[H2]]],
	True,
	TestID->"Analyze-20160501-R7Z7V6"
]

Test[
	OperatorExpressionQ[Power[Operator[H1], 4]],
	True,
	TestID->"Analyze-20160502-L5M6M9"
]

Test[
	OperatorExpressionQ[Ket[m] ** Bra[n]],
	True,
	TestID->"Analyze-20160502-Y8T1S6"
]
